- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QCameraSelector
- Qt 6.8.3 Reference Documentation

# QCameraSelector Class

class Qt3DRender::QCameraSelector

Class to allow for selection of camera to be used. More...

Header: | `#include <QCameraSelector>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | CameraSelector
Inherits: | Qt3DRender::QFrameGraphNode
Status: | Deprecated

- List of all members, including inherited members

## Properties

- camera : Qt3DCore::QEntity*

## Public Functions

| QCameraSelector(Qt3DCore::QNode *parent = nullptr)
Qt3DCore::QEntity * | camera() const

## Public Slots

void | setCamera(Qt3DCore::QEntity *camera)

## Signals

void | cameraChanged(Qt3DCore::QEntity *camera)

## Detailed Description

A Qt3DRender::QCameraSelector can be used to select the camera, which is used by the FrameGraph when drawing the entities.

## Property Documentation

### camera : Qt3DCore::QEntity*

Holds the currently selected camera.

Access functions:

Qt3DCore::QEntity * | camera() const
void | setCamera(Qt3DCore::QEntity *camera)

Notifier signal:

void | cameraChanged(Qt3DCore::QEntity *camera)

## Member Function Documentation

### `[explicit]` QCameraSelector::QCameraSelector(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.